# Revoke token

Request to revoke a recurring token for alternative payment methods.
Available for tokens initiated with payment_methodalipay, mbway or wechatpay.

Endpoint: POST /v1/recurring-token/cancel
Version: 1.0.0
Security: merchant, signature

## Security:

  - `merchant` (unknown)
    apiKey in header merchant

  - `signature` (unknown)
    apiKey in header signature

## Header parameters:

  - `merchant` (string, required)

  - `signature` (string, required)

## Request fields (application/json):

  - `token` (string, required)
    Recurring token to cancel.
    Example: 923bb4e6-4a5f-41ec-81fb-28eb8a152e55

## Request examples:

  - `Request` (unknown)

## Response 200:

  - `200` (unknown)
    Request received

## Response 200 fields (application/json):

  - `status` (string, required)
    Cancellation status.
    Enum: "processing"

  - `error` (object, required)
    Error object.

  - `error.code` (string, required)
    Unauthorized access due to invalid credentials.
    Example: 1.01

  - `error.messages` (array, required)
    Array of error messages applied to the decline payment.

## Response 200 examples:

  - `Success` (unknown)

  - `Error 1.01 Authentication failed` (unknown)

  - `Error 2.01 Token not found` (unknown)

  - `Error 2.01 Unsupported method` (unknown)

  - `Error 2.01 Token already cancelled` (unknown)

  - `Error 2.01 Cancellation already processing` (unknown)

  - `Error 2.01 Cancellation is already concurrently processing` (unknown)

  - `Error 2.01 Cancellation failed` (unknown)

